function showHide(thisButton)
{
	var thisContent = document.getElementById( thisButton.contentId );
	if(thisContent.className=="hide")
		thisContent.className="show";
	else
		thisContent.className="hide"
}// showHide()



var collapseList = new Array();
function setupShowHide()
{
	// get a list of collapsible items
	var allCollapsible = document.getElementsByTagName("div");
	for (var l=0; l<allCollapsible.length; l++)
	{// for:  all <a>
		if (allCollapsible[l].className=="collapsible")
		{// if:  collapsible
			var divList = allCollapsible[l].getElementsByTagName("div");
			// get button
			var thisButton = null;
			merf = 'onClick="showHide(this);"'
			
			for (var b=0; b<divList.length; b++){
				if (divList[b].className!="hide"  &&  divList[b].className!="show"){
					thisButton = divList[b];
				}// if:  not hideable content
			}// for:  all <div>
			
			// get content
			var thisContent = null;
			for (var c=0; c<divList.length; c++){
				if (divList[c].className=="hide"  ||  divList[c].className=="show"){
					thisContent = divList[c];
				}// if:  hideable content
			}// for:  all <div>
			
			// assign a unique id
			thisButton.index=l;
			thisButton.id = "collapse_"+l;
			thisButton.href = "javascript:void(0);";
			thisButton.contentId = "content_"+l;
			thisContent.id = "content_"+l;
		}// if:  collapsible
	}// for:  all <a>
}// setupShowHide()